Skip to main content
Back to API List This API allows users to track the status of ongoing or completed jobs related to tools or models. After triggering operations like import, export, deploy, or undeploy, this api is used to get real-time updates on progress, success, or failure, enabling efficient monitoring of execution.
MethodGET
Endpointhttps://{host}/api/public/dock-status/{<i>dockStatusId</i>}
Content Typeapplication/json
AuthorizationX-api-key - The API key used for authentication.
Where can I find the API key? To use the API, you will need an API key. Learn more.

QPath Parameters

PARAMETERDESCRIPTIONTYPEREQUIRED/OPTIONAL
hostThe environment URL. For example, https://agent-platform.domain.ai/StringRequired
dockStatusIdThe dock status ID that’s received in the response.StringRequired

Sample Request

curl --location 'https://{host}/api/public/dock-status/ds-24xxxxx3-0xxc-5xx5-axx3-c19xxxxxxxx8' 
--header 'x-api-key: kg-abxxxxx7-5xx3-5xx8-bxxb-9xxxx'

Body Parameters

No parameters are passed.

Sample Response

{
   "_id": "{id}",
   "toolId": "{toolid}",
   "jobType": "{jobtype}",
   "action": "{action}",
   "status": "{status}"
}

Response Parameters

PARAMETERDESCRIPTIONTYPESAMPLE VALUE(S)
_idThe unique identifier for the dock status.Stringds-c6xxxxx5-dxxd-5xxf-9xxd-0xxxxx6xxxx8
toolIdThe unique identifier for the tool.Stringa-8xxxxxbe-6xxe-5xx1-8xxc-bxxxxxx80xx6
jobTypeType of job being performed.StringTOOLS, MODELS, or GUARDRAILS
actionThe action being performed on the tool/model.StringIIMPORT, EXPORT, DEPLOY, or UNDEPLOY
statusThe current status of the job.StringIN_PROGRESS, SUCCESS, or FAILED